#include "dbxml/DbXml.hpp"
#include "db_cxx.h"

using namespace DbXml;
//exception handling omitted for clarity


//Very simple program that opens (creates) a container and then
//closes it. See myXmlContainer.hpp for a more robust example.
int main(void)
{
    //Instantiate the container. The container's name is "containerName"
    //It is created in the current working directory, and without benefit
    //of a database environment.
    XmlContainer myContainer(0,"containerName");

    //Container flags. Set such that if the container does not exist, 
    //it is created.
    u_int32_t cFlags=DB_CREATE;

    //Open the container.
    myContainer.open(0,cFlags);

    //do DBXML work here

    myContainer.close();
    return 0;
}
    
